//
// modules/article
// mod_article
//

.mod_article {
  @include article-padding-side(1.5);
  @include article-padding-top(1.5);
  @include article-padding-bottom(1.5);

  // first element
  &.first {
    @include article-padding-top(2);
  }

  // last element
  &.last {
    @include article-padding-top(2);
  }

  // full
  &.full {
    padding: 0;
  }

  &.full-width {
    padding-left: 0;
    padding-right: 0;
  }

  &.full-height {
    padding-top: 0;
    padding-bottom: 0;
  }

  // block elements
  & .block:not(:last-child) {
    margin-bottom: 3rem;
  }

  & .block-col,
  & .block-col-auto,
  & .no-block {
    margin-bottom: 0;
  }

  & .block-default {
    margin-bottom: $base-spacing-unit;
  }
}
